[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / IsComplex

# Function: IsComplex()

> **IsComplex**(`__namedParameters`): (`control`) => `null` \| `ValidationErrors`

Defined in: [packages/angular/forms/src/lib/validators/is-complex.ts:104](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/validators/is-complex.ts#L104)

## Parameters

### \_\_namedParameters

#### message?

`string`

#### options

[`ComplexityOptions`](../interfaces/ComplexityOptions.md)

## Returns

`Function`

### Parameters

#### control

`AbstractControl`

### Returns

`null` \| `ValidationErrors`
